<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\controllers;

use Yii;
use yii\web\Controller;
use app\models\Download;
use yii\web\Response;

class DownloadController extends Controller
{   
    public function actionIndex()
    {       
        $model = new Download();
        
        $modelData = false;
        
        $modelData = $model->SelectDownloads();
        
        return $this->render('download', ['modelData' => $modelData]);
    }
    
    public function actionGetprogram($ProgramId,$ProgramName)
    {
        $model = new Download();
               
        $fileData = $model->SelectOneDownload($ProgramId);
        
        //$userBrowser = get_browser(null, true);
        
        $headers = Yii::$app->request->headers;
        
        $browserName = $headers->get('User-Agent');
        $fileDownload = $fileData['download_file'];
        $dateAndTime = date('Y-m-d H:i:s');
        $ipClient = $_SERVER['REMOTE_ADDR'];
        
        $model->InsertDownloadAction($browserName,$fileDownload,$dateAndTime,$ipClient);
        
        $this->redirect(Yii::$app->params['pageUrl'].'getfiles/'.$fileData['download_file']);
        //echo Yii::$app->params['pageUrl'].'getfiles/'.$fileData['download_file'];
    }
}

?>