<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Blogcategoryadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%blog_category}}';
    }

    public function rules()
    {
        return [
            [['category_title', 'category_url'], 'required'],
            [['category_title', 'category_url'], 'string', 'max' => 150],
        ];
    }

    public function DeleteBlogEntries($CategoryId)
    {       
        Yii::$app->db->createCommand('DELETE FROM {{%blog}} WHERE blog_category = :blog_category')
              ->bindParam(':blog_category', $CategoryId)->execute();
    }
    
    public function attributeLabels()
    {
        return [
            'category_id' => Yii::t('app', 'category_id'),
            'category_title' => Yii::t('app', 'category_title'),
            'category_url' => Yii::t('app', 'category_url'),
        ];
    }
}
