<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Downloadadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%download}}';
    }

    public function rules()
    {
        return [
            [['download_title', 'download_text', 'download_file', 'download_version', 'download_filesize', 'download_license'], 'required'],
            [['download_text'], 'string'],
            [['download_title'], 'string', 'max' => 150],
            [['download_file'], 'string', 'max' => 65],
            [['download_version', 'download_filesize', 'download_license'], 'string', 'max' => 25],
        ];
    }

    public function attributeLabels()
    {
        return [
            'download_id' => Yii::t('app', 'download_id'),
            'download_title' => Yii::t('app', 'download_title'),
            'download_text' => Yii::t('app', 'download_text'),
            'download_file' => Yii::t('app', 'download_file'),
            'download_version' => Yii::t('app', 'download_version'),
            'download_filesize' => Yii::t('app', 'download_filesize'),
            'download_license' => Yii::t('app', 'download_license'),
        ];
    }
}
