<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\widgets\LinkPager;

$this->title = Yii::t('app', 'p_articles_header');
//$this->params['breadcrumbs'][] = ['label' => 'Employees', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

echo LinkPager::widget([
    'pagination' => $pagination,
]);

echo '<h1>Articles</h1>';

for($Pages=0;$Pages<count($SelectArticles);$Pages++)
{
    echo '<h2>'.$SelectArticles[$Pages]['article_title'].'</h2>';
    echo Yii::t('app', 'p_article_author').' '.$SelectArticles[$Pages]['article_author'].', '.Yii::t('app', 'p_article_published').' '.$SelectArticles[$Pages]['article_date'];
    echo '<p>'.substr(strip_tags($SelectArticles[$Pages]['article_text']),0,350).'... '.
    Html::a('<nobr>'.Yii::t('app', 'p_article_read_more').'</nobr>', ['/article/'.$SelectArticles[$Pages]['article_url'].'/'.$SelectArticles[$Pages]['article_id']]).
    '</p>';
}

echo LinkPager::widget([
    'pagination' => $pagination,
]);

?>