<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\widgets\LinkPager;

$this->title = Yii::t('app', 'p_blog_hashtag_header').' ['.$Hash.']';
//$this->params['breadcrumbs'][] = ['label' => 'Employees', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'p_blog_header'), 'url' => ['/blog']];
$this->params['breadcrumbs'][] = Yii::t('app', 'p_blog_hasttag_tag').' ['.$Hash.']';

echo LinkPager::widget([
    'pagination' => $pagination,
]);

echo '<h1>'.Yii::t('app', 'p_blog_hashtag_header').' ['.$Hash.']</h1>';

for($Pages=0;$Pages<count($SelectBlog);$Pages++)
{
    $IsHashTag = explode(' ', $SelectBlog[$Pages]['blog_hashtag']);
    
    $RememberHashTags = null;
    
    for($h=0;$h<count($IsHashTag);$h++)
    {
        $IsHashTag[$h] = trim($IsHashTag[$h]);
        $RememberHashTags[] = Html::a($IsHashTag[$h], ['/hash/'.urlencode($IsHashTag[$h])]);
    }
    
    $HashTagShowOnPage = implode(', ', $RememberHashTags);
    
    echo '<h2>'.$SelectBlog[$Pages]['blog_title'].'</h2>';
    echo Yii::t('app', 'p_blog_published').' '.$SelectBlog[$Pages]['blog_date'].', '.
     Yii::t('app', 'p_blog_category').' '.
     Html::a($SelectCategory[$SelectBlog[$Pages]['blog_category']]['title'], ['/category/'.$SelectCategory[$SelectBlog[$Pages]['blog_category']]['url'].'/'.$SelectBlog[$Pages]['blog_category']]).', 
     '.Yii::t('app', 'p_blog_tags').' '.$HashTagShowOnPage.'
     ';
    echo '<p>'.substr(strip_tags($SelectBlog[$Pages]['blog_text']),0,350).'... '.
    Html::a('<nobr>'.Yii::t('app', 'p_blog_read_more').'</nobr>', ['/blog/'.$SelectBlog[$Pages]['blog_url'].'/'.$SelectBlog[$Pages]['blog_id']]).
    '</p>';
}

echo LinkPager::widget([
    'pagination' => $pagination,
]);

?>