<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;

$this->title = $model->blog_title;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'a_blog_header'), 'url' => ['/blog']];
$this->params['breadcrumbs'][] = $this->title;

    $IsHashTag = explode(' ', $model->blog_hashtag);
    
    $RememberHashTags = null;
    
    for($h=0;$h<count($IsHashTag);$h++)
    {
        $IsHashTag[$h] = trim($IsHashTag[$h]);
        $RememberHashTags[] = Html::a($IsHashTag[$h], ['/hash/'.urlencode($IsHashTag[$h])]);
    }
    
    $HashTagShowOnPage = implode(', ', $RememberHashTags);
    
    echo '<h2>'.$model->blog_title.'</h2>';
    echo Yii::t('app', 'p_blog_published').' '.$model->blog_date.', '.
     Yii::t('app', 'p_blog_category').' '.
     Html::a($SelectCategory[$model->blog_category]['title'], ['/category/'.$SelectCategory[$model->blog_category]['url'].'/'.$model->blog_category]).', 
     '.Yii::t('app', 'p_blog_tags').' '.$HashTagShowOnPage.'<br /><br />
     ';
    echo $model->blog_text;

?>